ProLiant Servers (ML,DL,SL)

ILO5 firware update fails "the file siganture is invalid"

 
chinchilla
Occasional Visitor

ILO5 firware update fails "the file siganture is invalid"

Hello Experts,

I am trying to update a ProLiant DL385 Gen10 ILO 5 version 1.37 to a newer version 2.14. I have tried many ways but it always ends with this message:

Firmware Upload
The file signature is invalid. Make sure you are using a valid, signed flash file and try again

 

I have already check the file hash SHA256 and it is correct and also used 7zip to unzip the file cp042927.exe

Can you please suggest a solution for this.

Best Regards,

HC

 

12 REPLIES 12
Torsten.
Acclaimed Contributor

Re: ILO5 firware update fails "the file siganture is invalid"

What method did you use exactly?

Update to 1.40 first, in a second step to 2.14.

This is required.

 

Installation:

To update to iLO 5 version 2.10 or later, you must have a minimum iLO 5 version of 1.40

 

https://support.hpe.com/hpsc/swd/public/detail?swItemId=MTX_a9cfde8ba427435488d972d68f#tab3


Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
Rhythm596
Frequent Advisor

Re: ILO5 firware update fails "the file siganture is invalid"

Hi HC, 

Since the version is currently running on 1.37, and the minimum requirement of the 2.14 version is 1.40, you will first need to update it to 1.40 or above. After that you can update it to version 2.14. 

Please try updating it to 1.40(a): https://support.hpe.com/hpsc/swd/public/detail?swItemId=MTX_8c903e2afd56481ea339e3dd2d

After that, you can try updating to 2.14 : https://support.hpe.com/hpsc/swd/public/detail?swItemId=MTX_a9cfde8ba427435488d972d68f#tab-history

Let us know if there are any further concerns.

 

PDP-Fan
Valued Contributor

Re: ILO5 firware update fails "the file siganture is invalid"

Same problem here. DL360 Gen10 with iLO5 and firmware version 1.15 (yes it's old I know...) I tried to update via iLO web-interface to 1.20, 1.40, 1.50.... "signature invalid" for all files.

Additionally to that my server also tells me that the firmware of the innovation engine (whatever that may be) needs to be re-flashed. Unfortunately it doesn't let me do that because it hangs in POST.

I'd like to point out that I downloaded the exe firmware file and used the integrated "expand" function.

EDIT: Please forget all I wrote! I somehow landed in the iLO4 firmware download site.... of course that will not work with iLO5...STUPID ME!

***********************************************
"If it seems illogical... you just don't have enough information"
Scottimus75
New Member

Re: ILO5 firware update fails "the file siganture is invalid"

I'm at 1.37 on multuple ESX hosts. I followed the steps and attempted 1.40, and still getting the same error. I even tried 1.39 and still see the same error. What am I missing? is there a fix for this?

AndiHoffi
Occasional Visitor

Re: ILO5 firware update fails "the file siganture is invalid"

Just in case that it helps somebody:

I had two machines running 1.20. Thus I downloaded version 1.4 (ilo5_140.fwpkg) and got the "invalid signature"-message as well.

Turns out, this file needs to be unzipped and the bin-file inside is the one to go with.

majorgear
Occasional Collector

Re: ILO5 firware update fails "the file siganture is invalid"

How many times did you need to unzip it? I used the unarchive utility on my Mac.

 

The original file - ilo5_233.fwpkg.cpgz

Unzip 1 - ilo5_233.fwpkg

Unzip 2 - ilo5_233.fwpkg 2

Is it supposed to be a ".bin" file? That is what I was looking to get.

 

 

AndiHoffi
Occasional Visitor

Re: ILO5 firware update fails "the file siganture is invalid"

If I remember correctly, I unzipped it only once (using 7-zip on Windows).

MichaelEaton
Occasional Visitor

Re: ILO5 firware update fails "the file siganture is invalid"

Thank you!! this should really be documented somewhere, i just renamed the file to .zip and then used windows 'Extract All' option - it's currently flashing.. presumably once i've done this i can just use the fwpkg file as is for future upgrades..

JSobejana
New Member

Re: ILO5 firware update fails "the file siganture is invalid"

Agree! HPe's technical writers are terrible.